<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#FFF"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:layout_weight="1"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <SurfaceView
                    android:id="@+id/surfaceView0"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    tools:layout_editor_absoluteX="0dp"
                    tools:layout_editor_absoluteY="0dp" />

                <EditText
                    android:id="@+id/etLookRoomId0"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="请输入要查看的车机SN"
                    android:text="F803EB2046PZD00212"
                    android:textColor="#850808"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ToggleButton
                    android:id="@+id/liveToggleBtn0"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textOff="开始拉流"
                    android:textOn="停止拉流"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <SurfaceView
                    android:id="@+id/surfaceView1"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1" />

                <EditText
                    android:id="@+id/etLookRoomId1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="请输入要查看的车机SN"
                    android:text="F803EB2046PZD00188"
                    android:textColor="#850808"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ToggleButton
                    android:id="@+id/liveToggleBtn1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textOff="开始拉流"
                    android:textOn="停止拉流"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:layout_weight="1"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <SurfaceView
                    android:id="@+id/surfaceView2"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    tools:layout_editor_absoluteX="0dp"
                    tools:layout_editor_absoluteY="0dp" />

                <EditText
                    android:id="@+id/etLookRoomId2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="请输入要查看的车机SN"
                    android:text="F803EB2046PZD00149"
                    android:textColor="#850808"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ToggleButton
                    android:id="@+id/liveToggleBtn2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textOff="开始拉流"
                    android:textOn="停止拉流"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <SurfaceView
                    android:id="@+id/surfaceView3"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1" />

                <EditText
                    android:id="@+id/etLookRoomId3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="请输入要查看的车机SN"
                    android:text="F803EB2046PZD00167"
                    android:textColor="#850808"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ToggleButton
                    android:id="@+id/liveToggleBtn3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textOff="开始拉流"
                    android:textOn="停止拉流"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>

        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:layout_weight="1"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <SurfaceView
                    android:id="@+id/surfaceView4"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    tools:layout_editor_absoluteX="0dp"
                    tools:layout_editor_absoluteY="0dp" />

                <EditText
                    android:id="@+id/etLookRoomId4"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="请输入要查看的车机SN"
                    android:text="F803BB2037EZD00048"
                    android:textColor="#850808"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ToggleButton
                    android:id="@+id/liveToggleBtn4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textOff="开始拉流"
                    android:textOn="停止拉流"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <SurfaceView
                    android:id="@+id/surfaceView5"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1" />

                <EditText
                    android:id="@+id/etLookRoomId5"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="请输入要查看的车机SN"
                    android:text="F803BB2037EZD00086"
                    android:textColor="#850808"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ToggleButton
                    android:id="@+id/liveToggleBtn5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textOff="开始拉流"
                    android:textOn="停止拉流"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:layout_weight="1"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <SurfaceView
                    android:id="@+id/surfaceView6"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    tools:layout_editor_absoluteX="0dp"
                    tools:layout_editor_absoluteY="0dp" />

                <EditText
                    android:id="@+id/etLookRoomId6"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="请输入要查看的车机SN"
                    android:text="F803EB2046PZD00283"
                    android:textColor="#850808"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ToggleButton
                    android:id="@+id/liveToggleBtn6"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textOff="开始拉流"
                    android:textOn="停止拉流"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1">

                <SurfaceView
                    android:id="@+id/surfaceView7"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1" />

                <EditText
                    android:id="@+id/etLookRoomId7"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="请输入要查看的车机SN"
                    android:text="F803EB2046PZD00274"
                    android:textColor="#850808"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <ToggleButton
                    android:id="@+id/liveToggleBtn7"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textOff="开始拉流"
                    android:textOn="停止拉流"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent" />
            </androidx.constraintlayout.widget.ConstraintLayout>
        </LinearLayout>

        <TextView
            android:id="@+id/tvWifiState"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="wifi State :0"
            android:textColor="#17FBF4"
            android:textSize="32px"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent" />
    </LinearLayout>
</ScrollView>